My Project: NewtonCollisionInfoRecord Struct Reference

My Project

Public Attributes | List of all members
NewtonCollisionInfoRecord Struct Reference

`#include <Newton.h>`

## Public Attributes

dFloat | m_offsetMatrix [4][4]
int | m_collisionType
int | m_collisionUserID
union {
NewtonBoxParam m_box
NewtonConeParam m_cone
NewtonSphereParam m_sphere
NewtonCapsuleParam m_capsule
NewtonCylinderParam m_cylinder
NewtonTaperedCapsuleParam m_taperedCapsule
NewtonTaperedCylinderParam m_taperedCylinder
NewtonChamferCylinderParam m_chamferCylinder
NewtonConvexHullParam m_convexHull
NewtonDeformableMeshParam m_deformableMesh
NewtonCompoundCollisionParam m_compoundCollision
NewtonCollisionTreeParam m_collisionTree
NewtonHeightFieldCollisionParam m_heightField
NewtonSceneCollisionParam m_sceneCollision
dFloat m_paramArray [64]
}; |

## Member Data Documentation

## § @16

union { ... }

## § m_box

NewtonBoxParam NewtonCollisionInfoRecord::m_box

## § m_capsule

NewtonCapsuleParam NewtonCollisionInfoRecord::m_capsule

## § m_chamferCylinder

NewtonChamferCylinderParam NewtonCollisionInfoRecord::m_chamferCylinder

## § m_collisionTree

NewtonCollisionTreeParam NewtonCollisionInfoRecord::m_collisionTree

## § m_collisionType

int NewtonCollisionInfoRecord::m_collisionType

## § m_collisionUserID

int NewtonCollisionInfoRecord::m_collisionUserID

## § m_compoundCollision

NewtonCompoundCollisionParam NewtonCollisionInfoRecord::m_compoundCollision

## § m_cone

NewtonConeParam NewtonCollisionInfoRecord::m_cone

## § m_convexHull

NewtonConvexHullParam NewtonCollisionInfoRecord::m_convexHull

## § m_cylinder

NewtonCylinderParam NewtonCollisionInfoRecord::m_cylinder

## § m_deformableMesh

NewtonDeformableMeshParam NewtonCollisionInfoRecord::m_deformableMesh

## § m_heightField

NewtonHeightFieldCollisionParam NewtonCollisionInfoRecord::m_heightField

## § m_offsetMatrix

dFloat NewtonCollisionInfoRecord::m_offsetMatrix[4][4]

## § m_paramArray

dFloat NewtonCollisionInfoRecord::m_paramArray[64]

## § m_sceneCollision

NewtonSceneCollisionParam NewtonCollisionInfoRecord::m_sceneCollision

## § m_sphere

NewtonSphereParam NewtonCollisionInfoRecord::m_sphere

## § m_taperedCapsule

NewtonTaperedCapsuleParam NewtonCollisionInfoRecord::m_taperedCapsule

## § m_taperedCylinder

NewtonTaperedCylinderParam NewtonCollisionInfoRecord::m_taperedCylinder

The documentation for this struct was generated from the following file:

- dynamics.mod/NewtonDynamics/source/newton/Newton.h